### Method

# AppStreamCompose Unit get_bundle_id_fs_safe

since: 0.15.1

#### Declaration [src]

    const gchar*
    asc_unit_get_bundle_id_fs_safe (
      AscUnit* unit
    )

#### Description [src]

Gets the ID name of the bundle, normalized to be safe to use in filenames. This may not be the same name as set via asc_unit_set_bundle_id().

Available since: 0.15.1

#### Return value

Type: `const gchar*`

The sanitized bundle ID, or `NULL` if no bundle ID was set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.